<?php

if(! defined('OT_ROOT')) {
	exit('Access Denied');
}


class AppTaokeOrder{
	public static $appName = '淘客订单管理';

	public static function Jud(){
		return false;
	}

	public static function AutoRunSysItem($ARS_timeRunItem=''){
	}

	public static function AutoRunDeal(){
	}

	public static function UcMenu($mode='pc'){

	}

	public static function UcManage($userID,$mode='pc'){

	}

	public static function UcMngOrder($userID,$mode='pc'){
	}

	public static function UcMngGoods($userID,$mode='pc'){
	}

	public static function UcMngGoodsState0($userID,$mode='pc'){
	}

	public static function Deal($mode='pc'){

	}

	public static function CheckDeal($mode='pc'){
	}

	public static function DelDeal($mode='pc'){

	}

	public static function JiesuanDeal($mode='pc'){

	}

	public static function GetGoodsList($orderId){
		return array('', '');
	}

	public static function DataokeGoodsDaoru($dataArr){
	}

	public static function DataokeOrderDaoru($startTime,$endTime){
	}

	public static function GoodsJiesuan($dataID){
	}

	public static function GetOrderUserArr($orderId){
	}

	public static function OrderUserDeal($userArr,$orderId){
	}

	public static function UsersStateCN($num){
		switch ($num){
			case -1:	return '<span style="color:red;">作废</span>';
			case 0:		return '<span style="color:#000;">待审核</span>';
			case 1:		return '<span style="color:green;">待结算</span>';
			case 2:		return '<span style="color:blue;">已结算</span>';
			default :	return '[未知]';
		}
	}

	public static function GoodsStateCN($num){
		switch ($num){
			case -1:	return '<span style="color:red;">失效</span>';
			case 0:		return '<span style="color:#000;">待付款</span>';
			case 1:		return '<span style="color:green;">待收货</span>';
			case 2:		return '<span style="color:blue;">已收货</span>';
			default :	return '[未知]';
		}
	}

	public static function UsersModeCN($str){
		switch ($str){
			case 'auto':		return '自动';
			case 'orderId':		return '订单号';
			default :	return '['. $str .']';
		}
	}

	public static function GoodsListStyle($str){
	}

	public static function GoodsScoreStyle($dataArr){
	}
}
?>